## org.eclipse.emf.ecoretools.diagram.ui.outline.actions
Class CreateDiagramAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.ecoretools.diagram.ui.outline.actions.CreateDiagramAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class CreateDiagramAction

extends org.eclipse.jface.action.Action

Action used to create a new diagram of a given type Creation : 13 feb. 2008

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CreateDiagramAction(org.eclipse.emf.ecore.EObject selectedObject, org.eclipse.emf.ecore.resource.Resource diagramResource, java.lang.String diagramType, org.eclipse.gmf.runtime.diagram.core.preferences.PreferencesHint preferencesHint)` Constructor

Method Summary
`boolean` `isEnabled()`
`void` `run()` This methods creates a new Diagram to be associated with the given domain element

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### CreateDiagramAction

    public CreateDiagramAction(org.eclipse.emf.ecore.EObject selectedObject,
                               org.eclipse.emf.ecore.resource.Resource diagramResource,
                               java.lang.String diagramType,
                               org.eclipse.gmf.runtime.diagram.core.preferences.PreferencesHint preferencesHint)

  Constructor

  Parameters:
    `selectedObject` - the selected Element on which the diagram is to be associated
    `diagramResource` - the Resource associated with the diagram file
    `diagramType` - the type of diagram to create
    `preferencesHint` - the PreferencesHint

Method Detail

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `isEnabled` in class `org.eclipse.jface.action.Action`
  See Also:
    `Action.isEnabled()`

### run

    public void run()

  This methods creates a new Diagram to be associated with the given domain element

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`
  See Also:
    `Action.run()`

Copyright 2007 Anyware Technologies. All Rights Reserved.